"use strict";
cc._RF.push(module, '29562WyoLZN5aJ3XjqbQdyi', '123123');
// demo/XueTiao/123123.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        sp1: cc.Sprite
    },

    onLoad: function onLoad() {
        this.haha = 1;
    },
    //this.LifePlayer.fillStart = this.lifeMe.string / this.lifeMeUpper.string.substring(1);
    test1: function test1(evnet, num) {
        this.j = Math.random() * 0.3;

        if (num == 1) {
            this.j = 0;
            this.val = 0;
            this.sp1.fillStart = 0;
        }
        if (num == 2) {
            this.haha == 1;
            this.sp1.fillStart -= this.j;
        }
        if (num == 3) {
            this.haha = 2;
            this.val = this.sp1.fillStart - this.j;
        }
    },

    update: function update(dt) {
        if (this.haha == 2 && this.val <= this.sp1.fillStart) {
            this.sp1.fillStart -= dt * 0.5;
        }
    }

});

cc._RF.pop();